Bug 829073 - [abrt] python-2.7.3-6.fc17: __pthread_mutex_lock: Process /usr/bin/python2.7 was killed by signal 11 (SIGSEGV)
[abrt] python-2.7.3-6.fc17: __pthread_mutex_lock: Process /usr/bin/python2.7 ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bohuslav "Slavek" Kabrda
Fedora Extras Quality Assurance
abrt_hash:aa7f518117c18cd49aadb6e0bc7...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-05 17:46 EDT by totophe56
Modified: 2013-07-31 15:19 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 15:19:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (124.75 KB, text/plain)
2012-06-05 17:46 EDT, totophe56
no flags Details
File: maps (111.18 KB, text/plain)
2012-06-05 17:46 EDT, totophe56
no flags Details
File: dso_list (23.06 KB, text/plain)
2012-06-05 17:46 EDT, totophe56
no flags Details
File: build_ids (9.69 KB, text/plain)
2012-06-05 17:46 EDT, totophe56
no flags Details

  None (edit)
Description totophe56 2012-06-05 17:46:09 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/bin/python /usr/bin/openshot
comment:        traitement video avec openshot avancement sur la barre d'aperçu
crash_function: __pthread_mutex_lock
executable:     /usr/bin/python2.7
kernel:         3.3.7-1.fc17.x86_64
pid:            2417
pwd:            /home/chris
time:           mar. 05 juin 2012 23:10:01 CEST
uid:            1000
username:       chris
var_log_messages: Jun  5 23:10:04 stationf17 abrt[2559]: Saved core dump of pid 2417 (/usr/bin/python2.7) to /var/spool/abrt/ccpp-2012-06-05-23:10:01-2417 (401080320 bytes)
xsession_errors: 

backtrace:      Text file, 127742 bytes
build_ids:      Text file, 9922 bytes
dso_list:       Text file, 23610 bytes
maps:           Text file, 113852 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/chris/2

core_backtrace:
:73777e822e00ca152ffca281ab0ace0cb498ec48 0x9b20 pthread_mutex_lock libpthread.so.0 -
:2caa9c62fe7bf008b6b721692a323276e3302e65 0xee74 - libmlt.so.4 -
:2caa9c62fe7bf008b6b721692a323276e3302e65 0x10dec mlt_properties_set_int libmlt.so.4 -
:6c239305a60ed364a203fbcdc64397ca664f3379 0x92ed - libmltavformat.so -
:2caa9c62fe7bf008b6b721692a323276e3302e65 0x14201 - libmlt.so.4 -
:2caa9c62fe7bf008b6b721692a323276e3302e65 0x125cf mlt_service_get_frame libmlt.so.4 -
:2caa9c62fe7bf008b6b721692a323276e3302e65 0x1405c - libmlt.so.4 -
:2caa9c62fe7bf008b6b721692a323276e3302e65 0x125cf mlt_service_get_frame libmlt.so.4 -
:2caa9c62fe7bf008b6b721692a323276e3302e65 0x15707 - libmlt.so.4 -
:2caa9c62fe7bf008b6b721692a323276e3302e65 0x14201 - libmlt.so.4 -
:2caa9c62fe7bf008b6b721692a323276e3302e65 0x125cf mlt_service_get_frame libmlt.so.4 -
:2caa9c62fe7bf008b6b721692a323276e3302e65 0x1473c - libmlt.so.4 -
:2caa9c62fe7bf008b6b721692a323276e3302e65 0x14201 - libmlt.so.4 -
:2caa9c62fe7bf008b6b721692a323276e3302e65 0x125cf mlt_service_get_frame libmlt.so.4 -
:2caa9c62fe7bf008b6b721692a323276e3302e65 0x1a78d - libmlt.so.4 -
:2caa9c62fe7bf008b6b721692a323276e3302e65 0x125cf mlt_service_get_frame libmlt.so.4 -
:2caa9c62fe7bf008b6b721692a323276e3302e65 0x1b033 - libmlt.so.4 -
:2caa9c62fe7bf008b6b721692a323276e3302e65 0x125cf mlt_service_get_frame libmlt.so.4 -
:2caa9c62fe7bf008b6b721692a323276e3302e65 0x1b766 - libmlt.so.4 -
:2caa9c62fe7bf008b6b721692a323276e3302e65 0x14201 - libmlt.so.4 -
:2caa9c62fe7bf008b6b721692a323276e3302e65 0x125cf mlt_service_get_frame libmlt.so.4 -
:2caa9c62fe7bf008b6b721692a323276e3302e65 0x125cf mlt_service_get_frame libmlt.so.4 -
:2caa9c62fe7bf008b6b721692a323276e3302e65 0x18862 mlt_consumer_get_frame libmlt.so.4 -
:2caa9c62fe7bf008b6b721692a323276e3302e65 0x18d12 - libmlt.so.4 -
:73777e822e00ca152ffca281ab0ace0cb498ec48 0x7d14 start_thread libpthread.so.0 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0xf199d clone libc.so.6 -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=stationf17
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/run/user/chris/keyring-UTRWGQ
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=chris
:USERNAME=
:MAIL=/var/spool/mail/chris
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/chris/.local/bin:/home/chris/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/chris
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1265
:LANG=fr_FR.UTF-8
:GDMSESSION=gnome
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/chris
:SHLVL=1
:LOGNAME=chris
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-dKOnRPvq7B,guid=bef7f8a18e4874a46c8e483200000028
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/chris
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-chris-GeS6ve/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1269,unix/unix:/tmp/.ICE-unix/1269
:GPG_AGENT_INFO=/run/user/chris/keyring-UTRWGQ/gpg:0:1
:SSH_AUTH_SOCK=/run/user/chris/keyring-UTRWGQ/ssh
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/openshot.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=2417

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 31487                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       31487                31487                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/chris/.xsession-errors
:pos:	82287
:flags:	0102002
:2:/home/chris/.xsession-errors
:pos:	82287
:flags:	0102002
:3:/dev/urandom
:pos:	0
:flags:	02100000
:4:pipe:[174502]
:pos:	0
:flags:	00
:5:socket:[174491]
:pos:	0
:flags:	02004002
:6:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:7:pipe:[174502]
:pos:	0
:flags:	01
:8:anon_inode:[timerfd]
:pos:	0
:flags:	04002
:9:socket:[173781]
:pos:	0
:flags:	02004002
:10:anon_inode:inotify
:pos:	0
:flags:	02004000
:11:/dev/urandom
:pos:	0
:flags:	02100000
:12:socket:[173782]
:pos:	0
:flags:	02000002
:13:/home/chris/.openshot/sequence.mlt
:pos:	362
:flags:	0100000
:14:/home/chris/.openshot/sequence.mlt
:pos:	362
:flags:	0100000
:15:socket:[201198]
:pos:	0
:flags:	02004002
:16:socket:[201199]
:pos:	0
:flags:	02004002
:17:pipe:[202178]
:pos:	0
:flags:	02004000
:18:pipe:[202178]
:pos:	0
:flags:	02004001
:19:pipe:[174718]
:pos:	0
:flags:	00
:20:pipe:[174718]
:pos:	0
:flags:	04001
:21:socket:[181677]
:pos:	0
:flags:	02004002
:22:socket:[202182]
:pos:	0
:flags:	02004002
:23:/home/chris/.openshot/sequence.mlt
:pos:	1401
:flags:	0100000
:24:/media/partage/Lann Bihoue 2012/travvideo/CLIP0015.MP4
:pos:	150234
:flags:	0100000
:25:/home/chris/.openshot/sequence.mlt
:pos:	1413
:flags:	0100000
:26:/home/chris/.openshot/sequence.mlt
:pos:	1605
:flags:	0100000
:27:/media/partage/Lann Bihoue 2012/travvideo/CLIP0015.MP4
:pos:	84698
:flags:	0100000
:28:/home/chris/.openshot/preview.mlt
:pos:	915
:flags:	0100000
:29:/media/partage/Lann Bihoue 2012/travvideo/CLIP0004.MP4
:pos:	304930439
:flags:	0100000
:30:/home/chris/.openshot/sequence.mlt
:pos:	1610
:flags:	0100000

smolt_data:
:
:
:Général
:=================================
:UUID: 0843c44b-264c-4bb1-b565-283b12e52117
:SE: Fedora release 17 (Beefy Miracle)
:Niveau d'exécution par défaut: Unknown
:Langue: fr_FR.UTF-8
:Plateforme: x86_64
:BogoMIPS: 5000.01
:Fabricant du processeurs: GenuineIntel
:Modèle de processeur: Intel(R) Celeron(R) CPU        E3300  @ 2.50GHz
:Stepping du processeur: 10
:Famille de processeur: 6
:Modèle du processeur: 23
:Nombre de processeurs: 2
:Vitesse du processeur: 2500
:Mémoire du système: 3954
:Swap du système: 7999
:Fabricant: MICRO-STAR INTERNATIONAL CO.,LTD
:Système: MS-7529 1.0
:Type d'ordinateur: Desktop
:Noyau: 3.3.7-1.fc17.x86_64
:SELinux activé: 1
:Stratégie SELinux: targeted
:SELinux strict: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Périphériques
:=================================
:(4354:28674:4354:32) pci, Emu10k1_gameport, INPUT, Gameport Joystick
:(32902:10168:5218:29993) pci, None, PCI/ISA, 82801GB/GR (ICH7 Family) LPC Interface Bridge
:(32902:10202:5218:29993) pci, i801_smbus, SERIAL, N10/ICH 7 Family SMBus Controller
:(32902:10176:5218:29993) pci, ata_piix, STORAGE, N10/ICH7 Family SATA IDE Controller
:(32902:10192:5218:29993) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 1
:(32902:10194:5218:29993) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 2
:(4354:2:4354:32807) pci, snd_emu10k1, MULTIMEDIA_AUDIO, CT4832 SBLive! Value
:(32902:10200:5218:29993) pci, snd_hda_intel, MULTIMEDIA, N10/ICH 7 Family High Definition Audio Controller
:(32902:10207:5218:29993) pci, ata_piix, STORAGE, 82801G (ICH7 Family) IDE Controller
:(4098:43624:6023:43624) pci, snd_hda_intel, MULTIMEDIA, Manhattan HDMI Audio [Mobility Radeon HD 5000 Series]
:(4332:33078:5218:29993) pci, r8169, ETHERNET, RTL8101E/RTL8102E PCI Express Fast Ethernet controller
:(32902:9294:5218:29993) pci, None, PCI/PCI, 82801 PCI Bridge
:(4098:26849:6023:12288) pci, radeon, VIDEO, Manhattan [Mobility Radeon HD 5430 Series]
:(32902:10185:5218:29993) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #2
:(32902:10184:5218:29993) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #1
:(32902:10688:5218:29993) pci, None, HOST/PCI, 82G33/G31/P35/P31 Express DRAM Controller
:(32902:10186:5218:29993) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #3
:(32902:10187:5218:29993) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #4
:(32902:10188:5218:29993) pci, ehci_hcd, USB, N10/ICH 7 Family USB2 EHCI Controller
:(32902:10689:5218:29993) pci, pcieport, PCI/PCI, 82G33/G31/P35/P31 Express PCI Express Root Port
:
:
:Informations sur le système de fichiers
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda5 / ext4 4096 4096 7661494 5745636 5361636 1921360 1699759 1699759
:/dev/mapper/vg_stationf17-lv02 WITHHELD ext4 4096 4096 26869773 26438369 25106925 6733824 6733169 6733169
:/dev/mapper/vg_stationf17-lv03 WITHHELD ext4 4096 4096 25561025 25142428 23862428 6406144 6406037 6406037
:/dev/sda3 WITHHELD ext4 4096 4096 12774619 12534548 11894548 3203072 3203059 3203059
:/dev/mapper/vg_stationf17-lv04 WITHHELD ext4 4096 4096 161174302 130007875 123504320 40337408 40187610 40187610
:/dev/sda6 /home ext4 4096 4096 7661494 7030156 6646156 1921360 1913474 1913474
:/dev/sda2 /boot ext4 1024 1024 508745 448760 423160 128016 127677 127677
:
Comment 1 totophe56 2012-06-05 17:46:19 EDT
Created attachment 589652 [details]
File: backtrace
Comment 2 totophe56 2012-06-05 17:46:21 EDT
Created attachment 589653 [details]
File: maps
Comment 3 totophe56 2012-06-05 17:46:24 EDT
Created attachment 589654 [details]
File: dso_list
Comment 4 totophe56 2012-06-05 17:46:26 EDT
Created attachment 589655 [details]
File: build_ids
Comment 5 gramunno 2013-01-21 09:53:18 EST
After having loaded a project with OpenShot video editor 1.4.3  (with tens of clips on the timeline) I tried to see the preview (click on play button in the left pane). This is a frequent crash with OpenShot, now that the project has become bigger, but the action that triggers such crash is random, however ofter connected to the preview pane.

backtrace_rating: 4
Package: python-2.7.3-4.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)
Comment 6 Fedora Admin XMLRPC Client 2013-05-10 00:59:17 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora Admin XMLRPC Client 2013-05-10 01:00:56 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Fedora Admin XMLRPC Client 2013-05-10 01:04:39 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Fedora Admin XMLRPC Client 2013-05-10 01:12:39 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Fedora Admin XMLRPC Client 2013-05-10 01:12:46 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 11 Fedora End Of Life 2013-07-03 16:03:27 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2013-07-31 15:19:54 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.